# Update appearance

Source: https://holofolder.com/app/docs/reference/collection/update-appearance

PUT https://app.holofolder.com/app/api/v1/appearance

OpenAPI operation (parameters, authentication, request body and responses):

```json
{
  "operationId": "update_appearance",
  "summary": "Update appearance",
  "description": "Save a binder appearance only if its revision still matches.\n\nRequired permissions: `binders:write`. MCP tool: `update_appearance`.",
  "tags": [
    "Collection"
  ],
  "security": [
    {
      "apiKey": []
    }
  ],
  "parameters": [],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$schema": "https://json-schema.org/draft/2020-12/schema",
          "type": "object",
          "properties": {
            "baseRevision": {
              "type": "integer",
              "minimum": 0,
              "maximum": 9007199254740990
            },
            "design": {
              "type": "object",
              "propertyNames": {
                "type": "string"
              },
              "additionalProperties": {}
            }
          },
          "required": [
            "baseRevision",
            "design"
          ],
          "additionalProperties": false
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success"
    },
    "400": {
      "description": "See the API conventions page."
    },
    "401": {
      "description": "See the API conventions page."
    },
    "402": {
      "description": "See the API conventions page."
    },
    "403": {
      "description": "See the API conventions page."
    },
    "404": {
      "description": "See the API conventions page."
    },
    "409": {
      "description": "See the API conventions page."
    },
    "413": {
      "description": "See the API conventions page."
    },
    "422": {
      "description": "See the API conventions page."
    },
    "429": {
      "description": "See the API conventions page."
    },
    "503": {
      "description": "See the API conventions page."
    }
  }
}
```
